<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="cy__crypto__core__vu_8h" kind="file" language="C++">
    <compoundname>cy_crypto_core_vu.h</compoundname>
    <includes local="yes" refid="cy__crypto__common_8h">cy_crypto_common.h</includes>
    <includes local="yes" refid="cy__crypto__core__hw_8h">cy_crypto_core_hw.h</includes>
    <includes local="yes" refid="cy__crypto__core__hw__vu_8h">cy_crypto_core_hw_vu.h</includes>
    <includes local="no">string.h</includes>
    <includedby local="yes" refid="cy__crypto__core_8h">cy_crypto_core.h</includedby>
    <includedby local="yes" refid="cy__crypto__core__ecc__ecdsa_8c">cy_crypto_core_ecc_ecdsa.c</includedby>
    <includedby local="yes" refid="cy__crypto__core__ecc__key__gen_8c">cy_crypto_core_ecc_key_gen.c</includedby>
    <includedby local="yes" refid="cy__crypto__core__ecc__nist__p_8c">cy_crypto_core_ecc_nist_p.c</includedby>
    <includedby local="yes" refid="cy__crypto__core__rsa_8c">cy_crypto_core_rsa.c</includedby>
    <includedby local="yes" refid="cy__crypto__core__vu_8c">cy_crypto_core_vu.c</includedby>
    <incdepgraph>
      <node id="207">
        <label>string.h</label>
      </node>
      <node id="206">
        <label>cy_crypto_core_vu.h</label>
        <link refid="cy__crypto__core__vu_8h" />
        <childnode refid="207" relation="include">
        </childnode>
      </node>
    </incdepgraph>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__group__crypto__lld__vu__functions_1ga578cecebde8bce42aba5657d36b809ee" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__crypto__enums_1ga3a65158da3dc5cb6aa016ae599542aad">cy_en_crypto_status_t</ref></type>
        <definition>cy_en_crypto_status_t Cy_Crypto_Core_Cleanup</definition>
        <argsstring>(CRYPTO_Type *base)</argsstring>
        <name>Cy_Crypto_Core_Cleanup</name>
        <param>
          <type>CRYPTO_Type *</type>
          <declname>base</declname>
        </param>
        <briefdescription>
<para>Cleans up the Crypto block. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CRYPTO instance.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para><ref kindref="member" refid="group__group__crypto__enums_1ga3a65158da3dc5cb6aa016ae599542aad">cy_en_crypto_status_t</ref> </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="147" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_vu.c" bodystart="105" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_vu.h" line="62" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__crypto__lld__vu__functions_1gad21cfd7efa413ac522736348d3e28813" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_Crypto_Core_Vu_SetMemValue</definition>
        <argsstring>(CRYPTO_Type *base, uint32_t dstReg, uint8_t const *src, uint32_t size)</argsstring>
        <name>Cy_Crypto_Core_Vu_SetMemValue</name>
        <param>
          <type>CRYPTO_Type *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>dstReg</declname>
        </param>
        <param>
          <type>uint8_t const *</type>
          <declname>src</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>size</declname>
        </param>
        <briefdescription>
<para>Sets the value in the Crypto memory allocated by the destination VU register. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CRYPTO instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>dstReg</parametername>
</parameternamelist>
<parameterdescription>
<para>The destination vector unit register.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>src</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the source value.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>size</parametername>
</parameternamelist>
<parameterdescription>
<para>The size of the operated value. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="74" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_vu.c" bodystart="46" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_vu.h" line="83" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__crypto__lld__vu__functions_1ga656498f4aad29b0c489b098093fde8d3" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_Crypto_Core_Vu_GetMemValue</definition>
        <argsstring>(CRYPTO_Type *base, uint8_t *dst, uint32_t srcReg, uint32_t size)</argsstring>
        <name>Cy_Crypto_Core_Vu_GetMemValue</name>
        <param>
          <type>CRYPTO_Type *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint8_t *</type>
          <declname>dst</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>srcReg</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>size</declname>
        </param>
        <briefdescription>
<para>Gets the value located in the crypto memory and pointed by source VU register. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CRYPTO instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>dst</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the destination value.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>srcReg</parametername>
</parameternamelist>
<parameterdescription>
<para>The source vector unit register.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>size</parametername>
</parameternamelist>
<parameterdescription>
<para>The size of the operated value. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="103" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_vu.c" bodystart="76" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_vu.h" line="104" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__crypto__lld__vu__functions_1gaa7e7823e7b0d5a6e279bf90e405aec9e" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>bool</type>
        <definition>bool Cy_Crypto_Core_Vu_IsRegZero</definition>
        <argsstring>(CRYPTO_Type *base, uint32_t srcReg)</argsstring>
        <name>Cy_Crypto_Core_Vu_IsRegZero</name>
        <param>
          <type>CRYPTO_Type *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>srcReg</declname>
        </param>
        <briefdescription>
<para>Returns TRUE if srcReg contains 0. </para>        </briefdescription>
        <detaileddescription>
<para>FALSE - otherwise.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CRYPTO instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>srcReg</parametername>
</parameternamelist>
<parameterdescription>
<para>The source vector unit register.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The result of the comparison. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="167" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_vu.c" bodystart="149" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_vu.h" line="122" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__crypto__lld__vu__functions_1ga8e0735e9fc34fe5a31250fd4b63c2d4e" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>bool</type>
        <definition>bool Cy_Crypto_Core_Vu_IsRegEqual</definition>
        <argsstring>(CRYPTO_Type *base, uint32_t srcReg0, uint32_t srcReg1)</argsstring>
        <name>Cy_Crypto_Core_Vu_IsRegEqual</name>
        <param>
          <type>CRYPTO_Type *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>srcReg0</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>srcReg1</declname>
        </param>
        <briefdescription>
<para>Returns TRUE if srcReg0 contains the same value as srcReg1. </para>        </briefdescription>
        <detaileddescription>
<para>FALSE - otherwise.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CRYPTO instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>srcReg0</parametername>
</parameternamelist>
<parameterdescription>
<para>The source 0 vector unit register.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>srcReg1</parametername>
</parameternamelist>
<parameterdescription>
<para>The source 1 vector unit register.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The result of the comparison. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="187" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_vu.c" bodystart="169" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_vu.h" line="143" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__crypto__lld__vu__functions_1ga114cfba2b92c9b5344bb998dba0c5c8d" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>bool</type>
        <definition>bool Cy_Crypto_Core_Vu_IsRegLess</definition>
        <argsstring>(CRYPTO_Type *base, uint32_t srcReg0, uint32_t srcReg1)</argsstring>
        <name>Cy_Crypto_Core_Vu_IsRegLess</name>
        <param>
          <type>CRYPTO_Type *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>srcReg0</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>srcReg1</declname>
        </param>
        <briefdescription>
<para>Returns TRUE if srcReg0 contains the value less than value of srcReg1. </para>        </briefdescription>
        <detaileddescription>
<para>FALSE - otherwise.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CRYPTO instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>srcReg0</parametername>
</parameternamelist>
<parameterdescription>
<para>The source 0 vector unit register.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>srcReg1</parametername>
</parameternamelist>
<parameterdescription>
<para>The source 1 vector unit register.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The result of the comparison. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="207" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_vu.c" bodystart="189" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_vu.h" line="165" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__crypto__lld__vu__functions_1ga5ad9884a789357ff965fad691dc9a4cd" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE uint32_t</type>
        <definition>__STATIC_INLINE uint32_t Cy_Crypto_Core_Vu_RegRead</definition>
        <argsstring>(CRYPTO_Type *base, uint32_t srcReg)</argsstring>
        <name>Cy_Crypto_Core_Vu_RegRead</name>
        <param>
          <type>CRYPTO_Type *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>srcReg</declname>
        </param>
        <briefdescription>
<para>Returns the data pointed in a given register. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CRYPTO instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>srcReg</parametername>
</parameternamelist>
<parameterdescription>
<para>The source vector unit register. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="183" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_vu.h" bodystart="180" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_vu.h" line="180" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__crypto__lld__vu__functions_1gafa91981fe381221357f6ceef5ee65fa4" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE uint16_t</type>
        <definition>__STATIC_INLINE uint16_t Cy_Crypto_Core_Vu_RegSizeRead</definition>
        <argsstring>(CRYPTO_Type *base, uint32_t srcReg)</argsstring>
        <name>Cy_Crypto_Core_Vu_RegSizeRead</name>
        <param>
          <type>CRYPTO_Type *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>srcReg</declname>
        </param>
        <briefdescription>
<para>Returns size of the data pointed in given register, it is lower 12Bit of the 32Bit word. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CRYPTO instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>srcReg</parametername>
</parameternamelist>
<parameterdescription>
<para>The source vector unit register. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="202" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_vu.h" bodystart="199" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_vu.h" line="199" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__crypto__lld__vu__functions_1ga6ba9bc785b3a2a63b003acbe80ad02ec" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE uint16_t</type>
        <definition>__STATIC_INLINE uint16_t Cy_Crypto_Core_Vu_RegBitSizeRead</definition>
        <argsstring>(CRYPTO_Type *base, uint32_t srcReg)</argsstring>
        <name>Cy_Crypto_Core_Vu_RegBitSizeRead</name>
        <param>
          <type>CRYPTO_Type *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>srcReg</declname>
        </param>
        <briefdescription>
<para>Returns size of the data pointed in given register, in Bits. </para>        </briefdescription>
        <detaileddescription>
<para>It is lower 12Bit of the 32Bit word</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CRYPTO instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>srcReg</parametername>
</parameternamelist>
<parameterdescription>
<para>The source vector unit register. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="221" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_vu.h" bodystart="218" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_vu.h" line="218" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__crypto__lld__vu__functions_1gafafeb2db0a5a663ece13e29bc4de6fcb" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE uint16_t</type>
        <definition>__STATIC_INLINE uint16_t Cy_Crypto_Core_Vu_RegByteSizeRead</definition>
        <argsstring>(CRYPTO_Type *base, uint32_t srcReg)</argsstring>
        <name>Cy_Crypto_Core_Vu_RegByteSizeRead</name>
        <param>
          <type>CRYPTO_Type *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>srcReg</declname>
        </param>
        <briefdescription>
<para>Returns size of the data pointed in given register, in Bytes. </para>        </briefdescription>
        <detaileddescription>
<para>It is lower 12Bit of the 32Bit word</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CRYPTO instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>srcReg</parametername>
</parameternamelist>
<parameterdescription>
<para>The source vector unit register. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="240" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_vu.h" bodystart="237" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_vu.h" line="237" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__crypto__lld__vu__functions_1ga5d7cabef5ee939fbc82aea490d31b47b" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE uint16_t</type>
        <definition>__STATIC_INLINE uint16_t Cy_Crypto_Core_Vu_RegWordSizeRead</definition>
        <argsstring>(CRYPTO_Type *base, uint32_t srcReg)</argsstring>
        <name>Cy_Crypto_Core_Vu_RegWordSizeRead</name>
        <param>
          <type>CRYPTO_Type *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>srcReg</declname>
        </param>
        <briefdescription>
<para>Returns size of the data pointed in given register, in words (uint32_t). </para>        </briefdescription>
        <detaileddescription>
<para>It is lower 12Bit of the 32Bit word</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CRYPTO instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>srcReg</parametername>
</parameternamelist>
<parameterdescription>
<para>The source vector unit register. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="259" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_vu.h" bodystart="256" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_vu.h" line="256" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__crypto__lld__vu__functions_1ga867676bf1380cab44bac1dd41e5d41ba" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE uint16_t</type>
        <definition>__STATIC_INLINE uint16_t Cy_Crypto_Core_Vu_RegDataPtrRead</definition>
        <argsstring>(CRYPTO_Type *base, uint32_t srcReg)</argsstring>
        <name>Cy_Crypto_Core_Vu_RegDataPtrRead</name>
        <param>
          <type>CRYPTO_Type *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>srcReg</declname>
        </param>
        <briefdescription>
<para>Returns the data pointer, in 14-bit format of the data pointed in given register, it is upper 16Bit of the 32Bir word. </para>        </briefdescription>
        <detaileddescription>
<para>Pointer is in words (uint32_t).</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CRYPTO instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>srcReg</parametername>
</parameternamelist>
<parameterdescription>
<para>The source vector unit register. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="279" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_vu.h" bodystart="275" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_vu.h" line="275" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__crypto__lld__vu__functions_1gaf3eb6a75150071a92906aed994a3682e" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE uint32_t *</type>
        <definition>__STATIC_INLINE uint32_t* Cy_Crypto_Core_Vu_RegMemPointer</definition>
        <argsstring>(CRYPTO_Type *base, uint32_t srcReg)</argsstring>
        <name>Cy_Crypto_Core_Vu_RegMemPointer</name>
        <param>
          <type>CRYPTO_Type *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>srcReg</declname>
        </param>
        <briefdescription>
<para>Returns the memory address of the data pointed in given register. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CRYPTO instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>srcReg</parametername>
</parameternamelist>
<parameterdescription>
<para>The source vector unit register. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="297" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_vu.h" bodystart="294" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_vu.h" line="294" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__crypto__lld__vu__functions_1ga78e8555981ee096d716efeab9f3206df" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE uint32_t</type>
        <definition>__STATIC_INLINE uint32_t Cy_Crypto_Core_Vu_StatusRead</definition>
        <argsstring>(CRYPTO_Type *base)</argsstring>
        <name>Cy_Crypto_Core_Vu_StatusRead</name>
        <param>
          <type>CRYPTO_Type *</type>
          <declname>base</declname>
        </param>
        <briefdescription>
<para>Returns the value of the VU status register. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CRYPTO instance. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="314" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_vu.h" bodystart="309" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_vu.h" line="309" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__crypto__lld__vu__functions_1ga08aa3a35101cb64a96fa0b744aae35d0" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_Crypto_Core_VU_RegInvertEndianness</definition>
        <argsstring>(CRYPTO_Type *base, uint32_t srcReg)</argsstring>
        <name>Cy_Crypto_Core_VU_RegInvertEndianness</name>
        <param>
          <type>CRYPTO_Type *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>srcReg</declname>
        </param>
        <briefdescription>
<para>Reverts the memory data block pointed in given register. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CRYPTO instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>srcReg</parametername>
</parameternamelist>
<parameterdescription>
<para>The source vector unit register. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="214" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_vu.c" bodystart="209" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_vu.h" line="329" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <programlisting>
<codeline lineno="1"><highlight class="comment">/***************************************************************************/</highlight></codeline>
<codeline lineno="27"><highlight class="preprocessor">#if<sp />!defined(CY_CRYPTO_CORE_VU_H)</highlight><highlight class="normal" /></codeline>
<codeline lineno="28"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_CRYPTO_CORE_VU_H</highlight><highlight class="normal" /></codeline>
<codeline lineno="29"><highlight class="normal" /></codeline>
<codeline lineno="30"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_crypto_common.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="31"><highlight class="normal" /></codeline>
<codeline lineno="32"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(CY_IP_MXCRYPTO)</highlight><highlight class="normal" /></codeline>
<codeline lineno="33"><highlight class="normal" /></codeline>
<codeline lineno="34"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(__cplusplus)</highlight><highlight class="normal" /></codeline>
<codeline lineno="35"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp /></highlight><highlight class="stringliteral">"C"</highlight><highlight class="normal"><sp />{</highlight></codeline>
<codeline lineno="36"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="37"><highlight class="normal" /></codeline>
<codeline lineno="38"><highlight class="normal" /><highlight class="preprocessor">#if<sp />(CPUSS_CRYPTO_VU<sp />==<sp />1)</highlight><highlight class="normal" /></codeline>
<codeline lineno="39"><highlight class="normal" /></codeline>
<codeline lineno="40"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_crypto_core_hw.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="41"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_crypto_core_hw_vu.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="42"><highlight class="normal" /><highlight class="preprocessor">#include<sp />&lt;string.h&gt;</highlight><highlight class="normal" /></codeline>
<codeline lineno="43"><highlight class="normal" /></codeline>
<codeline lineno="49"><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="50"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_Crypto_Core_Cleanup</highlight></codeline>
<codeline lineno="51"><highlight class="comment">****************************************************************************/</highlight></codeline>
<codeline lineno="62"><highlight class="normal"><ref kindref="member" refid="group__group__crypto__enums_1ga3a65158da3dc5cb6aa016ae599542aad">cy_en_crypto_status_t</ref><sp /><ref kindref="member" refid="group__group__crypto__lld__vu__functions_1ga578cecebde8bce42aba5657d36b809ee">Cy_Crypto_Core_Cleanup</ref>(CRYPTO_Type<sp />*base);</highlight></codeline>
<codeline lineno="63"><highlight class="normal" /></codeline>
<codeline lineno="64"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="65"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_Crypto_Core_Vu_SetMemValue</highlight></codeline>
<codeline lineno="66"><highlight class="comment">****************************************************************************/</highlight></codeline>
<codeline lineno="83"><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__crypto__lld__vu__functions_1gad21cfd7efa413ac522736348d3e28813">Cy_Crypto_Core_Vu_SetMemValue</ref>(CRYPTO_Type<sp />*base,<sp />uint32_t<sp />dstReg,<sp />uint8_t<sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp />*src,<sp />uint32_t<sp />size);</highlight></codeline>
<codeline lineno="84"><highlight class="normal" /></codeline>
<codeline lineno="85"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="86"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_Crypto_Core_Vu_GetMemValue</highlight></codeline>
<codeline lineno="87"><highlight class="comment">****************************************************************************/</highlight></codeline>
<codeline lineno="104"><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__crypto__lld__vu__functions_1ga656498f4aad29b0c489b098093fde8d3">Cy_Crypto_Core_Vu_GetMemValue</ref>(CRYPTO_Type<sp />*base,<sp />uint8_t<sp />*dst,<sp />uint32_t<sp />srcReg,<sp />uint32_t<sp />size);</highlight></codeline>
<codeline lineno="105"><highlight class="normal" /></codeline>
<codeline lineno="106"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="107"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_Crypto_Core_Vu_IsRegZero</highlight></codeline>
<codeline lineno="108"><highlight class="comment">****************************************************************************/</highlight></codeline>
<codeline lineno="122"><highlight class="keywordtype">bool</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__crypto__lld__vu__functions_1gaa7e7823e7b0d5a6e279bf90e405aec9e">Cy_Crypto_Core_Vu_IsRegZero</ref>(CRYPTO_Type<sp />*base,<sp />uint32_t<sp />srcReg);</highlight></codeline>
<codeline lineno="123"><highlight class="normal" /></codeline>
<codeline lineno="124"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="125"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_Crypto_Core_Vu_IsRegEqual</highlight></codeline>
<codeline lineno="126"><highlight class="comment">****************************************************************************/</highlight></codeline>
<codeline lineno="143"><highlight class="keywordtype">bool</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__crypto__lld__vu__functions_1ga8e0735e9fc34fe5a31250fd4b63c2d4e">Cy_Crypto_Core_Vu_IsRegEqual</ref>(CRYPTO_Type<sp />*base,<sp />uint32_t<sp />srcReg0,<sp />uint32_t<sp />srcReg1);</highlight></codeline>
<codeline lineno="144"><highlight class="normal" /></codeline>
<codeline lineno="145"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="146"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_Crypto_Core_Vu_IsRegEqual</highlight></codeline>
<codeline lineno="147"><highlight class="comment">****************************************************************************/</highlight></codeline>
<codeline lineno="165"><highlight class="keywordtype">bool</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__crypto__lld__vu__functions_1ga114cfba2b92c9b5344bb998dba0c5c8d">Cy_Crypto_Core_Vu_IsRegLess</ref>(CRYPTO_Type<sp />*base,<sp />uint32_t<sp />srcReg0,<sp />uint32_t<sp />srcReg1);</highlight></codeline>
<codeline lineno="166"><highlight class="normal" /></codeline>
<codeline lineno="167"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="168"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_Crypto_Core_Vu_RegRead</highlight></codeline>
<codeline lineno="169"><highlight class="comment">****************************************************************************/</highlight></codeline>
<codeline lineno="180"><highlight class="normal">__STATIC_INLINE<sp />uint32_t<sp /><ref kindref="member" refid="group__group__crypto__lld__vu__functions_1ga5ad9884a789357ff965fad691dc9a4cd">Cy_Crypto_Core_Vu_RegRead</ref>(CRYPTO_Type<sp />*base,<sp />uint32_t<sp />srcReg)</highlight></codeline>
<codeline lineno="181"><highlight class="normal">{</highlight></codeline>
<codeline lineno="182"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />((uint32_t)_FLD2VAL(CRYPTO_RF_DATA_DATA32,<sp />REG_CRYPTO_VU_RF_DATA(base,<sp />srcReg)));</highlight></codeline>
<codeline lineno="183"><highlight class="normal">}</highlight></codeline>
<codeline lineno="184"><highlight class="normal" /></codeline>
<codeline lineno="185"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="186"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_Crypto_Core_Vu_RegSizeRead</highlight></codeline>
<codeline lineno="187"><highlight class="comment">****************************************************************************/</highlight></codeline>
<codeline lineno="199"><highlight class="normal">__STATIC_INLINE<sp />uint16_t<sp /><ref kindref="member" refid="group__group__crypto__lld__vu__functions_1gafa91981fe381221357f6ceef5ee65fa4">Cy_Crypto_Core_Vu_RegSizeRead</ref>(CRYPTO_Type<sp />*base,<sp />uint32_t<sp />srcReg)</highlight></codeline>
<codeline lineno="200"><highlight class="normal">{</highlight></codeline>
<codeline lineno="201"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />((uint16_t)(_FLD2VAL(CRYPTO_RF_DATA_DATA32,<sp />REG_CRYPTO_VU_RF_DATA(base,<sp />srcReg))<sp />&amp;<sp />CY_CRYPTO_VU_SIZE_FLD_MASK));</highlight></codeline>
<codeline lineno="202"><highlight class="normal">}</highlight></codeline>
<codeline lineno="203"><highlight class="normal" /></codeline>
<codeline lineno="204"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="205"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_Crypto_Core_Vu_RegBitSizeRead</highlight></codeline>
<codeline lineno="206"><highlight class="comment">****************************************************************************/</highlight></codeline>
<codeline lineno="218"><highlight class="normal">__STATIC_INLINE<sp />uint16_t<sp /><ref kindref="member" refid="group__group__crypto__lld__vu__functions_1ga6ba9bc785b3a2a63b003acbe80ad02ec">Cy_Crypto_Core_Vu_RegBitSizeRead</ref>(CRYPTO_Type<sp />*base,<sp />uint32_t<sp />srcReg)</highlight></codeline>
<codeline lineno="219"><highlight class="normal">{</highlight></codeline>
<codeline lineno="220"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />((uint16_t)(_FLD2VAL(CRYPTO_RF_DATA_DATA32,<sp />REG_CRYPTO_VU_RF_DATA(base,<sp />srcReg))<sp />&amp;<sp />CY_CRYPTO_VU_SIZE_FLD_MASK)<sp />+<sp />1u);</highlight></codeline>
<codeline lineno="221"><highlight class="normal">}</highlight></codeline>
<codeline lineno="222"><highlight class="normal" /></codeline>
<codeline lineno="223"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="224"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_Crypto_Core_Vu_RegByteSizeRead</highlight></codeline>
<codeline lineno="225"><highlight class="comment">****************************************************************************/</highlight></codeline>
<codeline lineno="237"><highlight class="normal">__STATIC_INLINE<sp />uint16_t<sp /><ref kindref="member" refid="group__group__crypto__lld__vu__functions_1gafafeb2db0a5a663ece13e29bc4de6fcb">Cy_Crypto_Core_Vu_RegByteSizeRead</ref>(CRYPTO_Type<sp />*base,<sp />uint32_t<sp />srcReg)</highlight></codeline>
<codeline lineno="238"><highlight class="normal">{</highlight></codeline>
<codeline lineno="239"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />((uint16_t)((_FLD2VAL(CRYPTO_RF_DATA_DATA32,<sp />REG_CRYPTO_VU_RF_DATA(base,<sp />srcReg))<sp />&amp;<sp />CY_CRYPTO_VU_SIZE_FLD_MASK)<sp />+<sp />1u)<sp />&gt;&gt;<sp />3u);</highlight></codeline>
<codeline lineno="240"><highlight class="normal">}</highlight></codeline>
<codeline lineno="241"><highlight class="normal" /></codeline>
<codeline lineno="242"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="243"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_Crypto_Core_Vu_RegWordSizeRead</highlight></codeline>
<codeline lineno="244"><highlight class="comment">****************************************************************************/</highlight></codeline>
<codeline lineno="256"><highlight class="normal">__STATIC_INLINE<sp />uint16_t<sp /><ref kindref="member" refid="group__group__crypto__lld__vu__functions_1ga5d7cabef5ee939fbc82aea490d31b47b">Cy_Crypto_Core_Vu_RegWordSizeRead</ref>(CRYPTO_Type<sp />*base,<sp />uint32_t<sp />srcReg)</highlight></codeline>
<codeline lineno="257"><highlight class="normal">{</highlight></codeline>
<codeline lineno="258"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />((uint16_t)((_FLD2VAL(CRYPTO_RF_DATA_DATA32,<sp />REG_CRYPTO_VU_RF_DATA(base,<sp />srcReg))<sp />&amp;<sp />CY_CRYPTO_VU_SIZE_FLD_MASK)<sp />+<sp />1u)<sp />&gt;&gt;<sp />5u);</highlight></codeline>
<codeline lineno="259"><highlight class="normal">}</highlight></codeline>
<codeline lineno="260"><highlight class="normal" /></codeline>
<codeline lineno="261"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="262"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_Crypto_Core_Vu_RegDataPtrRead</highlight></codeline>
<codeline lineno="263"><highlight class="comment">****************************************************************************/</highlight></codeline>
<codeline lineno="275"><highlight class="normal">__STATIC_INLINE<sp />uint16_t<sp /><ref kindref="member" refid="group__group__crypto__lld__vu__functions_1ga867676bf1380cab44bac1dd41e5d41ba">Cy_Crypto_Core_Vu_RegDataPtrRead</ref>(CRYPTO_Type<sp />*base,<sp />uint32_t<sp />srcReg)</highlight></codeline>
<codeline lineno="276"><highlight class="normal">{</highlight></codeline>
<codeline lineno="277"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />(uint16_t)((_FLD2VAL(CRYPTO_RF_DATA_DATA32,<sp />REG_CRYPTO_VU_RF_DATA(base,<sp />srcReg))<sp />&gt;&gt;<sp />CY_CRYPTO_VU_DATA_FLD_POS)</highlight></codeline>
<codeline lineno="278"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />&amp;<sp />CY_CRYPTO_VU_DATA_FLD_MASK);</highlight></codeline>
<codeline lineno="279"><highlight class="normal">}</highlight></codeline>
<codeline lineno="280"><highlight class="normal" /></codeline>
<codeline lineno="281"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="282"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_Crypto_Core_Vu_RegMemPointer</highlight></codeline>
<codeline lineno="283"><highlight class="comment">****************************************************************************/</highlight></codeline>
<codeline lineno="294"><highlight class="normal">__STATIC_INLINE<sp />uint32_t<sp />*<sp /><ref kindref="member" refid="group__group__crypto__lld__vu__functions_1gaf3eb6a75150071a92906aed994a3682e">Cy_Crypto_Core_Vu_RegMemPointer</ref>(CRYPTO_Type<sp />*base,<sp />uint32_t<sp />srcReg)</highlight></codeline>
<codeline lineno="295"><highlight class="normal">{</highlight></codeline>
<codeline lineno="296"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />(uint32_t<sp />*)((uint32_t)REG_CRYPTO_VU_CTL1(base)<sp />+<sp />(4u<sp />*<sp />(uint32_t)<ref kindref="member" refid="group__group__crypto__lld__vu__functions_1ga867676bf1380cab44bac1dd41e5d41ba">Cy_Crypto_Core_Vu_RegDataPtrRead</ref>(base,<sp />srcReg)));</highlight></codeline>
<codeline lineno="297"><highlight class="normal">}</highlight></codeline>
<codeline lineno="298"><highlight class="normal" /></codeline>
<codeline lineno="299"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="300"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_Crypto_Core_Vu_StatusRead</highlight></codeline>
<codeline lineno="301"><highlight class="comment">****************************************************************************/</highlight></codeline>
<codeline lineno="309"><highlight class="normal">__STATIC_INLINE<sp />uint32_t<sp /><ref kindref="member" refid="group__group__crypto__lld__vu__functions_1ga78e8555981ee096d716efeab9f3206df">Cy_Crypto_Core_Vu_StatusRead</ref>(CRYPTO_Type<sp />*base)</highlight></codeline>
<codeline lineno="310"><highlight class="normal">{</highlight></codeline>
<codeline lineno="311"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__crypto__lld__hw__functions_1ga17c57fe13a519b0273fe9dee78dae44b">Cy_Crypto_Core_Vu_WaitForComplete</ref>(base);</highlight></codeline>
<codeline lineno="312"><highlight class="normal" /></codeline>
<codeline lineno="313"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal">((uint32_t)REG_CRYPTO_VU_STATUS(base));</highlight></codeline>
<codeline lineno="314"><highlight class="normal">}</highlight></codeline>
<codeline lineno="315"><highlight class="normal" /></codeline>
<codeline lineno="316"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="317"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_Crypto_Core_VU_RegInvertEndianness</highlight></codeline>
<codeline lineno="318"><highlight class="comment">****************************************************************************/</highlight></codeline>
<codeline lineno="329"><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__crypto__lld__vu__functions_1ga08aa3a35101cb64a96fa0b744aae35d0">Cy_Crypto_Core_VU_RegInvertEndianness</ref>(CRYPTO_Type<sp />*base,<sp />uint32_t<sp />srcReg);</highlight></codeline>
<codeline lineno="330"><highlight class="normal" /></codeline>
<codeline lineno="333"><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />#if<sp />(CPUSS_CRYPTO_VU<sp />==<sp />1)<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="334"><highlight class="normal" /></codeline>
<codeline lineno="335"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(__cplusplus)</highlight><highlight class="normal" /></codeline>
<codeline lineno="336"><highlight class="normal">}</highlight></codeline>
<codeline lineno="337"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="338"><highlight class="normal" /></codeline>
<codeline lineno="339"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />CY_IP_MXCRYPTO<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="340"><highlight class="normal" /></codeline>
<codeline lineno="341"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />#if<sp />!defined(CY_CRYPTO_CORE_VU_H)<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="342"><highlight class="normal" /></codeline>
<codeline lineno="343"><highlight class="normal" /><highlight class="comment">/*<sp />[]<sp />END<sp />OF<sp />FILE<sp />*/</highlight><highlight class="normal" /></codeline>
    </programlisting>
    <location file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_vu.h" />
  </compounddef>
</doxygen>